## kalarmcal 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KAlarmCal)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.12.0")
set(KALARM_LIB_VERSION "4.79.0")
set(CALENDARCORE_LIB_VERSION "4.82.0")
set(HOLIDAY_LIB_VERSION "4.80.0")
set(IDENTITYMANAGER_LIB_VERSION "4.79.0")
set(AKONADI_LIB_VERSION "4.79.0")
ecm_setup_version(${KALARM_LIB_VERSION} VARIABLE_PREFIX KALARMCAL
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGER_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${HOLIDAY_LIB_VERSION} CONFIG REQUIRED)

add_definitions(-DTRANSLATION_DOMAIN=\"libkalarmcal5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
########### Targets ###########

add_subdirectory(src)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AlarmCalendar")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AlarmCalendarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AlarmCalendarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AlarmCalendarTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kalarmcal 15.08.2

=== debian/changelog ===
kalarmcal (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:54:16 +0100

kalarmcal (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:14:13 +0100

kalarmcal (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:06:17 +0100

kalarmcal (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Launchpad requires an epoch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Aug 2015 14:40:15 +0100

kalarmcal (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:31:15 +0100

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libboost-dev,
               libkf5akonadi-dev,
               libkf5calendarcore-dev,
               libkf5holidays-dev,
               libkf5identitymanagement-dev,
               libkf5kdelibs4support-dev,
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kalarmcal.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kalarmcal.git

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev,
         libkf5alarmcalendar5 (= ${binary:Version}),
         libkf5calendarcore-dev,
         libkf5holidays-dev,
         libkf5identitymanagement-dev,
         libkf5kdelibs4support-dev,
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

Package: libkf5alarmcalendar-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5alarmcalendar5 (= ${binary:Version}), ${misc:Depends}
Description: library for handling kalarm calendar data - debug symbols
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the debug symbols.

## kalarmcal 15.12.3

=== debian/changelog ===
kalarmcal (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:59:11 -0700

kalarmcal (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Fix epochs on build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 15:26:21 -0800

kalarmcal (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian Merge: No remaining changes. 
  * Bump dependency requirements for pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:27:02 +0100

kalarmcal (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:33:48 +0000

kalarmcal (15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:08:44 +0100

kalarmcal (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:15 +0200

kalarmcal (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 17:16:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
+               extra-cmake-modules (>= 5.14.0~),
                libboost-dev,
-               libkf5akonadi-dev,
-               libkf5calendarcore-dev,
-               libkf5holidays-dev,
-               libkf5identitymanagement-dev,
-               libkf5kdelibs4support-dev,
+               libkf5akonadi-dev (>= 4:15.12.1~),
+               libkf5calendarcore-dev (>= 4:15.12.1~),
+               libkf5holidays-dev (>= 15.12.1~),
+               libkf5identitymanagement-dev (>= 15.12.1~),
+               libkf5kdelibs4support-dev (>= 5.12.0~),
                pkg-kde-tools (>> 0.15.15)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kalarmcal.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kalarmcal.git
@@ -22,12 +22,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadi-dev,
+Depends: libkf5akonadi-dev (>= 4.79.0~),
          libkf5alarmcalendar5 (= ${binary:Version}),
-         libkf5calendarcore-dev,
-         libkf5holidays-dev,
-         libkf5identitymanagement-dev,
-         libkf5kdelibs4support-dev,
+         libkf5calendarcore-dev (>= 4.82.0~),
+         libkf5holidays-dev (>= 4.80.0~),
+         libkf5identitymanagement-dev (>= 4.79.0~),
+         libkf5kdelibs4support-dev (>= 5.12.0~),
          ${misc:Depends}
 Description: library for handling kalarm calendar data - development files
  This library provides access to and handling of kalarm calendar data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5alarmcalendar-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kalarmcal 16.04.2

=== debian/changelog ===
kalarmcal (16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:53:16 +0200

kalarmcal (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 08:32:08 +0200

kalarmcal (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files
  * Add missing build dependency.
  * Update kholidays build dependency

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 13:21:22 +0200

kalarmcal (15.12.0-2) experimental; urgency=medium

  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 09:13:21 +0100

kalarmcal (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:11 +0100

kalarmcal (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:06:17 +0100

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5holidays-dev (>= 15.12~),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               libkf5holidays-dev (>= 16.04),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kalarmcal.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kalarmcal.git

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:15.12~),
         libkf5alarmcalendar5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:15.12~),
         libkf5holidays-dev (>= 15.12~),
         libkf5identitymanagement-dev (>= 15.12~),
         libkf5kdelibs4support-dev (>= 5.19.0~),
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5alarmcalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kalarmcal-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kalarmcal-([\d.]+).tar.xz

## kalarmcal 16.04.3

=== debian/changelog ===
kalarmcal (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump dep versions. 
  * New upstream bugfix release
  * Bump SO version in install file. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:17 +0200

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5calendarcore-dev (>= 4:16.04.3~),
               libkf5holidays-dev (>= 16.04.3~),
               libkf5identitymanagement-dev (>= 16.04.3~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:16.04.3~),
         libkf5alarmcalendar5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:16.04.3~),
         libkf5holidays-dev (>= 16.04.3~),
         libkf5identitymanagement-dev (>= 16.04.3~),
         libkf5kdelibs4support-dev (>= 5.12.0~),
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5alarmcalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kalarmcal 17.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,29 +1,34 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
+set(PIM_VERSION "5.5.3")
 
-project(KAlarmCal)
+project(KAlarmCal VERSION ${PIM_VERSION})
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+set(KF5_VERSION "5.32.0")
+find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
+include(ECMCoverageOption)
 
-set(KF5_VERSION "5.12.0")
-set(KALARM_LIB_VERSION "4.79.0")
-set(CALENDARCORE_LIB_VERSION "4.82.0")
-set(HOLIDAY_LIB_VERSION "4.80.0")
-set(IDENTITYMANAGER_LIB_VERSION "4.79.0")
-set(AKONADI_LIB_VERSION "4.79.0")
-ecm_setup_version(${KALARM_LIB_VERSION} VARIABLE_PREFIX KALARMCAL
+
+
+set(KALARM_LIB_VERSION ${PIM_VERSION})
+
+set(CALENDARCORE_LIB_VERSION "5.5.3")
+set(HOLIDAY_LIB_VERSION "5.5.3")
+set(IDENTITYMANAGER_LIB_VERSION "5.5.3")
+set(AKONADI_LIB_VERSION "5.5.3")
+ecm_setup_version(PROJECT VARIABLE_PREFIX KALARMCAL
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
                         SOVERSION 5
@@ -46,7 +51,7 @@
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AlarmCalendar")
 
-ecm_configure_package_config_file(
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5AlarmCalendarConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
@@ -66,5 +71,8 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
+install( FILES kalarmcal.renamecategories kalarmcal.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+ki18n_install(po)

=== debian/changelog ===
kalarmcal (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations with -data package and add Breaks/Replaces against
    kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:53 +0100

kalarmcal (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:38 +0100

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5holidays-dev (>= 17.04.3~),
               libkf5identitymanagement-dev (>= 17.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5alarmcalendar5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:17.04.3~),
         libkf5holidays-dev (>= 17.04.3~),
         libkf5identitymanagement-dev (>= 17.04.3~),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5
Architecture: any
Multi-Arch: same
Depends: libkf5alarmcalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

Package: libkf5alarmcalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

## kalarmcal 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.5.3")
+set(PIM_VERSION "5.7.3")
 
 project(KAlarmCal VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.32.0")
+set(KF5_VERSION "5.39.0")
+
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -24,10 +25,10 @@
 
 set(KALARM_LIB_VERSION ${PIM_VERSION})
 
-set(CALENDARCORE_LIB_VERSION "5.5.3")
-set(HOLIDAY_LIB_VERSION "5.5.3")
-set(IDENTITYMANAGER_LIB_VERSION "5.5.3")
-set(AKONADI_LIB_VERSION "5.5.3")
+set(CALENDARCORE_LIB_VERSION "5.7.3")
+set(HOLIDAY_LIB_VERSION "5.7.3")
+set(IDENTITYMANAGER_LIB_VERSION "5.7.3")
+set(AKONADI_LIB_VERSION "5.7.3")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KALARMCAL
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
@@ -44,6 +45,7 @@
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libkalarmcal5\")
 add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 ########### Targets ###########
 
 add_subdirectory(src)

=== debian/changelog ===
kalarmcal (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:55 +0000

kalarmcal (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Bump soname with the Debian ABI Manager due to binary incompatible
    changes: libkf5alarmcalendar5 -> libkf5alarmcalendar5abi1
  * Refresh symbols from amd64 buildlog

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:06 +0000

kalarmcal (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:30 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5holidays-dev (>= 17.04.3~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5holidays-dev (>= 1:5.31.0~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15)
 Standards-Version: 3.9.6
@@ -21,12 +21,12 @@
 Package: libkf5alarmcalendar-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
-         libkf5alarmcalendar5 (= ${binary:Version}),
-         libkf5calendarcore-dev (>= 4:17.04.3~),
-         libkf5holidays-dev (>= 17.04.3~),
-         libkf5identitymanagement-dev (>= 17.04.3~),
+Multi-Arch: same
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+         libkf5alarmcalendar5abi1 (= ${binary:Version}),
+         libkf5calendarcore-dev (>= 4:17.12.3~),
+         libkf5holidays-dev (>= 1:5.31.0~),
+         libkf5identitymanagement-dev (>= 17.12.3~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends}
 Description: library for handling kalarm calendar data - development files
@@ -34,7 +34,9 @@
  .
  This package contains the development files.
 
-Package: libkf5alarmcalendar5
+Package: libkf5alarmcalendar5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5AlarmCalendar
 Architecture: any
 Multi-Arch: same
 Depends: libkf5alarmcalendar-data (= ${source:Version}),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	$(overridden_command) --ddeb-migration='libkf5alarmcalendar-dbg (<= 15.12.0-1~~)'

## kalarmcal 18.04.3

=== debian/changelog ===
kalarmcal (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Additional build dep on libkf5calendarutils-dev
  * Install plugins moved from kdepim-runtime, and add breaks/replaces
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:11 +0100

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:18.04.3~),
               libkf5calendarcore-dev (>= 4:18.04.3~),
               libkf5calendarutils-dev (>= 4:18.04.3~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5identitymanagement-dev (>= 18.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.04.3~),
         libkf5alarmcalendar5abi1 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:18.04.3~),
         libkf5holidays-dev (>= 1:5.31.0~),
         libkf5identitymanagement-dev (>= 18.04.3~),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends},
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AlarmCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5alarmcalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~),
Replaces: kdepim-runtime (<< 4:18.03.70~)
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

Package: libkf5alarmcalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

## kalarmcal 18.08.3

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt5DBus CONFIG REQUIRED)
find_package(Qt5Test CONFIG REQUIRED)

macro(macro_unit_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    add_test(NAME ${_testname} COMMAND ${_testname})
    ecm_mark_as_test(${_testname})
    target_link_libraries(${_testname}
        KF5AlarmCalendar
        Qt5::DBus
        Qt5::Test)
  endforeach()
endmacro()

macro_unit_tests(
    kadatetimetest
    kaeventtest
)

=== src/CMakeLists.txt ===

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

########### next target ###############
set(kalarmcal_LIB_SRCS
    kacalendar.cpp
    karecurrence.cpp
    alarmtext.cpp
    identities.cpp
    kaevent.cpp
    kadatetime.cpp
    datetime.cpp
    repetition.cpp
    version.cpp
    collectionattribute.cpp
    compatibilityattribute.cpp
    eventattribute.cpp
)

ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal)

add_library(KF5AlarmCalendar ${kalarmcal_LIB_SRCS})

generate_export_header(KF5AlarmCalendar BASE_NAME kalarmcal)

add_library(KF5::AlarmCalendar ALIAS KF5AlarmCalendar)

target_link_libraries(KF5AlarmCalendar
PUBLIC
                      KF5::ConfigCore
                      KF5::I18n
                      KF5::Holidays
                      KF5::IdentityManagement
                      KF5::CoreAddons
                      KF5::CalendarCore
                      KF5::AkonadiCore
PRIVATE
)

set_target_properties(KF5AlarmCalendar PROPERTIES
      VERSION ${KALARMCAL_VERSION_STRING}
      SOVERSION ${KALARMCAL_SOVERSION}
      EXPORT_NAME AlarmCalendar
)


target_include_directories(KF5AlarmCalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal>")
target_include_directories(KF5AlarmCalendar PUBLIC "$<BUILD_INTERFACE:${KAlarmCal_SOURCE_DIR}/src;${KAlarmCal_BINARY_DIR}/src>")


install(TARGETS KF5AlarmCalendar EXPORT KF5AlarmCalendarTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_generate_headers(KAlarmCal_CamelCase_HEADERS
  HEADER_NAMES
  AlarmText
  CollectionAttribute
  CompatibilityAttribute
  DateTime
  KADateTime
  EventAttribute
  KAEvent
  KARecurrence
  Repetition
  PREFIX KAlarmCal
  REQUIRED_HEADERS KAlarmCal_HEADERS
)


install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_export.h
        identities.h
        kacalendar.h
        version.h
        ${KAlarmCal_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/kalarmcal
        COMPONENT Devel
)
install(FILES
        ${KAlarmCal_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/KAlarmCal/
        COMPONENT Devel
)


ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCal DEPS "Holidays IdentityManagement CoreAddons CalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kalarmcal (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:11 +0100

kalarmcal (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:00:37 +0100

kalarmcal (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.
  * Add akonadi_serializer_kalarm to libkf5alarmcalendar5abi1 package.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:09 +0200

kalarmcal (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Remove dependency against kdelibs4support.
  * Update symbols from build for 18.07.90.
  * Add xauth and xvfb to fix tests.
  * Use DebianABIManager to handle libkf5alarmcalendar5.
  * Update library from libkf5alarmcalendar5 -> libkf5alarmcalendar5abi1.
  * Split out arch independent data into libkf5alarmcalendar-data.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:19:11 +0200

kalarmcal (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:23:24 +0200

kalarmcal (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Add symbols files.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:13:49 +0100

kalarmcal (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Mark libkf5alarmcalendar-dev correctly as Multi-Arch: same
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:52:37 +0100

kalarmcal (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:12:03 +0200

kalarmcal (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:42 +0000

kalarmcal (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:31 +0000

kalarmcal (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:24 +0000

kalarmcal (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:12:22 +0000

kalarmcal (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:48 +0000

kalarmcal (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:55 +0000

kalarmcal (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:32 +0000

kalarmcal (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:15:46 +0000

kalarmcal (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:28 +0000

kalarmcal (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:08 +0000

kalarmcal (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:46 +0000

kalarmcal (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:36 +0000

kalarmcal (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:39 +0000

kalarmcal (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:50:38 +0000

kalarmcal (16.08.1-1~1.gbpd1a194) UNRELEASED; urgency=medium

  ** SNAPSHOT build @d1a194ee24aecdc8fca5e049d669f811139a2614 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @c3e7091d055e252a945816e2b7b4e3f9d66770c2 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * UNRELEASED

 -- Automatic packaging <jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 01:31:36 +0200

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5alarmcalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	xvfb-run --\
	           dh_auto_test --no-parallel

## kalarmcal 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.10.3")
 
 project(KAlarmCal VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.51.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -12,23 +12,23 @@
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
+
 
 
 
 set(KALARM_LIB_VERSION ${PIM_VERSION})
 
-set(CALENDARCORE_LIB_VERSION "5.7.3")
-set(HOLIDAY_LIB_VERSION "5.7.3")
-set(IDENTITYMANAGER_LIB_VERSION "5.7.3")
-set(AKONADI_LIB_VERSION "5.7.3")
+set(CALENDARCORE_LIB_VERSION "5.9.0")
+set(CALENDARUTILS_LIB_VERSION "5.9.0")
+set(IDENTITYMANAGER_LIB_VERSION "5.9.0")
+set(AKONADI_LIB_VERSION "5.9.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KALARMCAL
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
@@ -36,19 +36,26 @@
 )
 
 ########### Find packages ###########
-find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Holidays ${KF5_VERSION} CONFIG REQUIRED)
+
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGER_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Holidays ${HOLIDAY_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libkalarmcal5\")
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+
 ########### Targets ###########
 
 add_subdirectory(src)
+add_subdirectory(serializers)
+
+if(BUILD_TESTING)
+   add_subdirectory(autotests)
+endif()
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AlarmCalendar")

=== debian/changelog ===
kalarmcal (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:44:53 +0100

kalarmcal (4:18.12.3-0ubuntu1) disco; urgency=medium

  [ Simon Quigley ]
  * Bump libkf5alarmcalendar5abi1 -> libkf5alarmcalendar5abi2 due to
    binary-incompatible changes.

  [ Rik Mills ]
  * Update symbols.
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:34 +0000

kalarmcal (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 20:05:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:18.04.3~),
-               libkf5calendarcore-dev (>= 4:18.04.3~),
-               libkf5calendarutils-dev (>= 4:18.04.3~),
+               libkf5akonadi-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:18.12.3~),
+               libkf5calendarutils-dev (>= 4:18.12.3~),
                libkf5holidays-dev (>= 1:5.31.0~),
-               libkf5identitymanagement-dev (>= 18.04.3~),
+               libkf5identitymanagement-dev (>= 18.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
 Standards-Version: 3.9.6
@@ -23,11 +23,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.04.3~),
-         libkf5alarmcalendar5abi1 (= ${binary:Version}),
-         libkf5calendarcore-dev (>= 4:18.04.3~),
+Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+         libkf5alarmcalendar5abi2 (= ${binary:Version}),
+         libkf5calendarcore-dev (>= 4:18.12.3~),
          libkf5holidays-dev (>= 1:5.31.0~),
-         libkf5identitymanagement-dev (>= 18.04.3~),
+         libkf5identitymanagement-dev (>= 18.12.3~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends},
 Description: library for handling kalarm calendar data - development files
@@ -35,8 +35,8 @@
  .
  This package contains the development files.
 
-Package: libkf5alarmcalendar5abi1
-X-Debian-ABI: 1
+Package: libkf5alarmcalendar5abi2
+X-Debian-ABI: 2
 X-CMake-Target: KF5AlarmCalendar
 Architecture: any
 Multi-Arch: same

## kalarmcal 19.04.3

=== debian/changelog ===
kalarmcal (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarutils-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarutils-dev (>= 4:19.04.3~),
                libkf5holidays-dev (>= 1:5.31.0~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
 Standards-Version: 3.9.6
@@ -23,11 +23,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5alarmcalendar5abi2 (= ${binary:Version}),
-         libkf5calendarcore-dev (>= 4:18.12.3~),
+         libkf5calendarcore-dev (>= 4:19.04.3~),
          libkf5holidays-dev (>= 1:5.31.0~),
-         libkf5identitymanagement-dev (>= 18.12.3~),
+         libkf5identitymanagement-dev (>= 19.04.3~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends},
 Description: library for handling kalarm calendar data - development files

## kalarmcal 19.08.3

=== debian/changelog ===
kalarmcal (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:12 +0100

kalarmcal (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:40:57 +0100

kalarmcal (4:18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:24 +0100

kalarmcal (4:18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:41:34 +0200

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.60.0~),
               libkf5holidays-dev (>= 1:5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarmcal
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarmcal.git

Package: libkf5alarmcalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for handling kalarm calendar data - arch independent files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the arch independent data for KAlarmCalendar.

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5alarmcalendar5abi1 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5holidays-dev (>= 1:5.60.0~),
         libkf5identitymanagement-dev (>= 19.08.3~),
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AlarmCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5alarmcalendar-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5alarmcalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	xvfb-run --\
	           dh_auto_test --no-parallel
